Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 234017 - dev-libs/libsigc++-1.2.7 mixes CFLAGS and CXXFLAGS
Summary: dev-libs/libsigc++-1.2.7 mixes CFLAGS and CXXFLAGS
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: GNOME C++ Bindings Maintainers (OBSOLETE)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: mixing-flags
  Show dependency tree
 
Reported: 2008-08-05 20:48 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2008-10-05 15:17 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (dev-libs:libsigc++-1.2.7:20080805-203243.log,31.87 KB, text/plain)
2008-08-05 21:33 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-08-05 20:48:15 UTC
Check the attached build log.
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-08-05 21:33:56 UTC
Created attachment 162308 [details]
Build log
Comment 2 Daniel Gryniewicz (RETIRED) gentoo-dev 2008-08-08 00:23:59 UTC
Color me confused, but what does that build log show?  For example, what are your CFLAGS and CXXFLAGS?
Comment 3 Rémi Cardona gentoo-dev 2008-10-05 15:17:36 UTC
Closing WONTFIX. libsigc++ 1.2 is completely deprecated and fixing this is a waste of time. If the latest version still shows that bug, I'll gladly fix it. But this old version has been in the tree for just too long.

Patches welcome though.

Sorry :)